@each $width in $resposive-width{
    @media screen and (max-width: #{$width}px){ 
    	.cover{
	    	$bg-image-connector-height: 150px;

	    	// this if else for variable
    		@if($width <= 1080){
	    		$bg-image-connector-height: 75px;	    		
	    	} @else if($width <= 1440){
	    		$bg-image-connector-height: 125px;	    		
	    	} @else if($width <= 1700){
	    		$bg-image-connector-height: 135px;
	    	}

	    	// this if else for css property
	    	@if($width > 991){
	    		background-position: center -#{unitary($width, 900)}px;
	    	} @else if($width == 991){ 
	    		background-position: center;
	    	}


    		$extend-cover: $bg-image-connector-height - getNavHeight($width);
            @if($width > 1080){
        		height: calc(100vh - #{unitary($width, 250)}px);
            } @else if($width == 767){                              
                height: calc(100vh - 170px) !important;
            } @else if($width == 375){                              
                height: calc(100vh - 215px) !important;
            }
    		// background-position: center -730px;

    		.title{
                @if($width >= 575){
                    margin-top: #{unitary($width, 100)}px;
					font-size: #{unitary($width, 71)}px;
					letter-spacing: #{unitary($width,16.60)}px;
                }
    		}
    		img{
    			@if($width >= 767){
    				top: -#{unitary($width,150)}px;
                    height: #{unitary($width,420)}px;
                    
                    @supports (object-fit: contain){
                        width: #{unitary($width,1050)}px;
                    }
    			}
    		}	

    		&:after{
                @if($width >= 575){
        			height: #{unitary($width,150)}px;
                }
    		}
    	}
    	.wrapper{
    		&.bg-layer{
    			&:after{
                    @if($width >= 767){
                        // min-height: #{unitary($width, 8138)}px;
                    }
    			}
    		}
    		.scroll-area{
    			.menu{
    				top: getNavHeight($width);
                    @supports (position: sticky) {
                        top: 0;
                    }
    				.container{
    					@if($width == 991){
		    				max-width: 100%;
		    			}
    				}
                    .menu-list{
                        @if($width >= 1600 and $width <= 1700){
                            height: 80px;
                        } @else if ($width == 991) {
                            height: auto;
                            flex-wrap: wrap;
                            border-radius: 7px;
                        }
                        li{
                            &:first-child{
                                a{
                                    &.active,&:hover{
                                        &:before {
                                        }
                                    }
                                }                   
                            }
                            &:last-child{
                                a{
                                    &.active,&:hover{
                                        &:before {
                                        }
                                    }
                                }                   
                            }
                            a{      
                                $active-color :  rgba(#202020, .2);                     
                                @if($width >= 1600 and $width <= 1700){
                                    font-size: 15px;
                                } @else if($width == 1080){
                                    font-size: 12px;
                                } @else if($width == 991){
                                    padding: 6px 12px;
                                    font-size: 13px;
                                } @else if($width == 767){
                                    padding: 0 12px;
                                }
                                &.active,&:hover{
                                    @if($width == 991){
                                       transform: none;
                                    }
                                    span{                                        
                                        @if($width == 991){
                                           transform: none;
                                        }
                                    }
                                }
                                &:hover{
                                    @if($width == 767){
                                        background: transparent;
                                    }
                                }
                                &.active{
                                    @if($width == 767){
                                        background: $active-color;
                                    }
                                }
                            }
                        }
                    }
    			}
    		}

    		.section{
    			.section-headline{}
    			.section-info{}
				&.slider-video{
					.container{
						.row{
							.col-md-12{
								
								.html5gallery-elem-0{
									a{
										display: none!important;
										visibility: hidden!important;
										opacity: 0!important;
										color: transparent !important;
										background: transparent !important;
										z-index: -999999;
										height: 0px;
										width: 0px;
									}
								}
							}
						}
					}
		
				}
    			&.floorplans{
    				.slider{
    					// height: auto;
    					.carousel{
    						.carousel-inner{
    							.carousel-item{
    								&.floorplan{
	    								$left-gap: 40px;

	    								// this if else for variable
                                        @if($width == 767){
                                            $left-gap: 16px;
                                        } @else if($width <= 1700){
	    									$left-gap: 35px;
	    								} 


    									.one{
    										.floorplan-image{
    											height: #{unitary($width,495)}px;
    										}									
    									}
    									.two{
    										@if($width == 991){
    											padding-left: 15px;
    										} @else if($width == 767){
                                                align-items: center;
                                            }
    										.floorplan-title{
    											@if($width >= 1600 and $width <= 1700){
    												font-size: 25px;
    											} @else if($width == 767){
                                                    font-size: 11px;
                                                    letter-spacing: .79px;
                                                    line-height: 53px;
                                                }
    										}
    										.floorplan-spec{
    											@if($width >= 767){
                                                    font-size: #{unitary($width,28)}px;
                                                    height: #{unitary($width,250)}px;
                                                }
    		    								li{
    		    									@if($width >= 1600 and $width <= 1700){
		    											margin-bottom: 20px;
		    										} @else if($width == 767){
                                                        margin-bottom: 10px;
                                                    }
    											    padding-left: $left-gap;
    											    &:before{
    											    	@if($width == 1440){
    											    		height: 15px;
    											    		width: 15px;
    											    	} @else if($width == 767){
                                                            width: 9px;
                                                            height: 9px;
                                                        }
    											    }
    		    								}
    										}
    
    										.more{
    											// padding-left: $left-gap;
               //                                  @if($width == 767){
               //                                      font-size: 12px;
               //                                      letter-spacing: .54px;
               //                                      line-height: 43px;
               //                                      padding-left: 0;
               //                                  }
    										}
    									}
    								}
    							}
    						}


                            .carousel-indicators {

                                @if($width >= 991){
                                    margin-bottom: #{unitary($width,25)}px;
                                    font-size: #{unitary($width,15)}px;
                                }
                                li{
                                    @if($width >= 991){
                                        border-radius: #{unitary($width,5)}px;
                                        padding: #{unitary($width,5)}px 0;
                                    }
                                }
                            }
                            .carousel-control-next {
                                @if($width >= 1366){
                                    right: -#{unitary($width,100)}px;
                                } @else if($width == 1280) {
                                    right: -40px;
                                } @else if($width <= 1200 and $width > 767) {
                                    right: -#{unitary($width,100)}px;
                                } @else if($width == 767) {
                                    right: 10px;
                                }
                            }
                            .carousel-control-prev {
                                @if($width >= 1366){
                                    left: -#{unitary($width,100)}px;
                                } @else if($width == 1280) {
                                    left: -40px;
                                } @else if($width <= 1200 and $width > 767) {
                                    left: -#{unitary($width,100)}px;
                                } @else if($width == 767) {
                                    left: 10px;
                                }
                            }
    					}
    				}
    			}
                &.virtual-tour-section{
                    .video-gallery{
                        @if($width > 767){
                            
                        }@else if($width == 767){
                            height: auto;
                            flex-direction: column;
                        }
                        @else if($width == 414){
                            width: 90%;
                        }
                        
        
                        .preview{
                            @if($width > 767){
                                width: 100%;
                                
                            }
                            
        
                            iframe, video, img{
                                @if($width > 767){
                                    height: #{unitary($width, 650)}px;

                                    padding-left: #{unitary($width, 25)}px;
                                    padding-right: #{unitary($width, 25)}px;
                                    padding-top: #{unitary($width, 22)}px;
                                    padding-bottom: #{unitary($width, 22)}px;
                                    margin-right: #{unitary($width, 20)}px;
                                } @else if($width == 767){
                                    height: 275px;
                                }

                            }

                            .description{
                                @if($width > 767){
                                    font-size: #{unitary($width, 28)}px;
                                }
                            }
                        }
        
                        .thumbnails {
                            @if($width > 767){
                                height: #{unitary($width, 650)}px;
                            } 

                            @if($width >= 1300){
                                width: 250px;
                            }@else if($width >= 1200){
                                width: 212px;
                            }@else if($width >= 1050){
                                width: 185px;
                            }@else if($width >= 1000){
                                width: 180px;
                            }@else if($width >= 800){
                                width: 180px;
                                
                            } @else if($width == 767){
                                width: 100%;
                                margin-top: 15px;
                                display: block;
                                white-space: nowrap;
                                height: auto;
                                width: 100%;
                            }
                            
                            
                            
                            
        
                            .thumbnail {
                                @if($width > 767){
                                    width: #{unitary($width, 225)}px;
                                    
                                    margin-bottom: #{unitary($width, 20)}px;
                                    margin-left: #{unitary($width, 10)}px;
                                    margin-right: #{unitary($width, 20)}px;
                                }@else if($width == 767){
                                    display: inline-flex;
                                    height: auto;
                                    width: auto;
                                    margin-bottom: 15px;
                                }
                                
                                
                                &.active{
                                    
                                    
                                    .caption{
                                        
                                    }
                                }
        
                                img {
                                    @if($width > 767){
                                        height: #{unitary($width, 120)}px;
                                        padding-left:#{unitary($width, 14)}px;
                                        padding-right:#{unitary($width, 14)}px;
                                        padding-top: #{unitary($width, 16)}px;
                                    }@else if($width == 767){
                                        height: 80px;
                                        width: 150px;
                                        padding-bottom: #{unitary($width, 16)}px;
                                    }
                                    
                                    
                                }
        
                                .caption{

                                    @if($width > 767){
                                        padding-left:#{unitary($width, 12)}px;
                                        padding-right: #{unitary($width, 12)}px;
                                        padding-top:#{unitary($width, 10)}px;
                                        padding-bottom: #{unitary($width, 10)}px;
                                        font-size: #{unitary($width, 20)}px;
                                        line-height: #{unitary($width, 37)}px;
                                    }@else if($width == 767){
                                        display: none;
                                    }
                                    
                                    
                                }
                            }
                        }
                    }
                }
    			&.color-options{
    				.one{
    					.main-image{}
    				}
    				.two{
    					.model-images{
    						// width: 500px;
    						@if($width == 1080){
    							width: 400px;
    						} @else if($width == 991){
    							width: 300px;
    						} @else if($width == 767){
								width: 100%;
								display: grid;
								grid-template-columns: 1fr 1fr 1fr 1fr;
								grid-gap: 5px;
								padding: 5px;
    							margin-top: 50px;
							}
    						.model-image{
    							@if($width == 767){
									padding: 0px;
								}
    							.image-wrapper{
    								@if($width == 1080){
    									width: 180px;
    									height: 100px;
    								} @else if($width == 991){
    									width: 130px;
    									height: 80px;
    								} @else if($width == 767){
    									width: auto;
    								}
    								img{
    		    						@if($width >= 1600 and $width <= 1700){
	    									width: calc(100% - 40px);
	    								} @else if($width == 991){
	    									width: calc(100% - 20px);
	    								} @else if($width == 767){
	    									width: 80%;
	    									object-fit: contain;
	    								}
    								}	
    							}
    						}
    					}
    				}
    			}

    			&.key-features{
    				$left-gap: 45px;
                    @if($width == 767){
                        $left-gap: 16px;
                    } @else if($width <= 1700){
                        $left-gap: 35px;
                    } 
    				.one{
    					ul{

                            @if($width >= 767){
                                font-size: #{unitary($width,28)}px;
                                height: #{unitary($width,250)}px;
                            }

    						li{ 
								@if($width >= 1600 and $width <= 1700){
									margin-bottom: 20px;
								}  @else if($width == 767){
                                    margin-bottom: 10px;
                                }
    						    padding-left: $left-gap;
    						    &:before{
    						    	@if($width   == 1440){
    						    		height: 20px;
    						    		width: 20px;
    						    	} @else if($width == 767){
                                        height: 8px;
                                        width: 8px;
                                    }
    						    }
    						}
    					}
    					.more{
    						// padding-left: $left-gap;
          //                   @if($width == 767){
          //                       font-size: 12px;
          //                       letter-spacing: .54px;
          //                       line-height: 43px;
          //                   }
    					}
    				}
    				.two{
    					.images{
    					}
    				}
    			}
    			&.specifications{
    				.specifications-details{
    					// column-count: 2;
    					@if($width >= 1600 and $width <= 1700){
	    				    column-gap: 50px;
	    				} @else if ($width == 991){	    					
	    					font-size: 18px;
                            column-gap: 20px;
                            line-height: 25px;
                            letter-spacing: .35px;
	    				} @else if ($width == 767){   
                            font-size: 13px;
                            column-gap: 17px;
                            // line-height: 15px;
                            letter-spacing: .26px;

                            font {
                                font-size: larger;
                            }
                        } @else if($width == 414){
                            column-count: 1;
                        }
    				}
    			}
    			&.gallery{
    				.sub-headline{
    					@if($width >= 1600 and $width <= 1700){
	    					margin-bottom: 30px;
	    					font-size: 30px;
	    				} @else if($width == 767){
	    					margin-top: 30px;
                            font-size: 13px;
                            margin-bottom: 10px;
                            line-height: 15px;
                            letter-spacing: .26px;
	    				}
    				}
    				.interior{}
    				.gallery-images{
    					margin: 0;
    					a{
    						padding: 4px;
    						img{
    						}
                            &:nth-child(1),&:nth-child(8n+1),&:nth-child(2),&:nth-child(8n+2),&:nth-child(3),&:nth-child(8n+3){
                                @if($width >= 767){
                                    height: #{unitary($width,191)}px;
                                }
                            }
                            &:nth-child(4),&:nth-child(8n+4),&:nth-child(5),&:nth-child(8n+5){
                                @if($width >= 767){
                                    height: #{unitary($width,330)}px;
                                }
                            }

                            &:nth-child(6),&:nth-child(8n+6),&:nth-child(7),&:nth-child(8n+7),&:nth-child(8),&:nth-child(8n+8){
                                @if($width >= 767){
                                    height: #{unitary($width,153)}px;
                                }
                            }
    					}
    				}
    			}
    			&.videos{
    				.section-headline{
    					
    					@if($width >= 767){
                            margin-bottom: #{unitary($width, 120)}px;
                        }
    				}
    				.video-wrapper{				
    					position: relative;
    					video{

    						@if($width >= 767){
                                height: #{unitary($width, 680)}px;
                            }

    					}
    					.control{
    						.play-icon,.pause-icon{
    							// width: 140px;
    							// height: 106px;
                                @if($width >= 767){
                                    width: #{unitary($width, 140)}px;
                                    height: #{unitary($width, 106)}px;
                                }
    						}	

    						&.pause{
    							.play-icon{
    							}
    						}			
    					}
    					&:hover{
    						.control{
    							&.play{
    								.pause-icon{
    								}
    							}
    						}
    					}
    				}
    			}
    			&.models{

    				.btn-inform{
    					@if($width >= 767){
                            margin: #{unitary($width, 50)}px auto 0;
                            width: #{unitary($width, 705)}px;
                            height: #{unitary($width, 110)}px;
                            font-size: #{unitary($width, 28)}px;
                            line-height: #{unitary($width, 30)}px;
                        } 
                        @if( $width == 767){
                            // width: 166px;
                            border-radius: 81px;
                        }
                        
    				  	&:hover{
    				  	}
    				}


    				.model-wrapper{
    					@if($width >= 1600 and $width <= 1700){
	    				  	padding-left: 25px;
	    				  	padding-right: 25px;
	    				} @else if($width == 767){
	    					padding-right: 15px;
                            padding-left: 15px;    					
	    					margin-bottom: 25px;
	    				}
    				  &:nth-child(odd){
    				    // padding-left: 0
                        @if($width == 767){
                            padding-left: 15px;
                        }
    				  }
    				  &:nth-child(even){
    				    // padding-right: 0
                        @if($width == 767){
                            padding-right: 15px;
                        }
    				  }
    				  .model{
    				    .model-image{
    				    	@if($width >= 767){
                                height: #{unitary($width,380)}px;
                            }
    				      img{
    				      	@if($width > 767){
                                width: #{unitary($width,568)}px;
                            } @else if($width == 767){
                                width: auto;
                                height: 50px;
                            }
    				      }
    				    }
    				    .model-title{
    				      	@if($width >= 767){
                                height: #{unitary($width, 133)}px;
                                font-size: #{unitary($width, 42)}px;
                                letter-spacing: #{unitary($width, 4.2)}px;
                            }
    				    }
    				    &.mirror{
    				      .model-image{
    				        img{
    				        }
    				      }
    				    }
    				  }
    				}

    				.model-description{
    					@if($width >= 767){
                            padding: #{unitary($width, 60)}px #{unitary($width, 30)}px;
                            margin-top: #{unitary($width, 65)}px;
                        }
    					span{
    						@if($width >= 767){
                                font-size: #{unitary($width, 24)}px;
                            }
    					}
    				}
    			}
    		}
    	}
    }
}

@each $width in append($resposive-width,1920){
    @each $height in $resposive-height{
        @media (max-width: #{$width}px) and (max-height: #{$height}px){
            .cover{
                .title{
                }
                img{

                    @if($width == 320 and $height == 480){
                        height: 120px;
                    } @else if($width >= 1080 and $height <= 680){
                        height: #{unitary($width,400,$height)}px;
                        top: -#{unitary($width,150, $height)}px;
                    } @else if($width == 1920){
                        // width: #{unitary($width,1050,$height)}px;
                        height: #{unitary($width,420,$height)}px;
                        top: -#{unitary($width,150, $height)}px;
                    }

                }   

            }
    	}
    }
}

// exceptional responsive

// iPad Pro
@media (width: 1024px) and (height: 1366px) {
    .cover{
        background-position: center;
    }
}